// pair.hxx: Pair template.
// 
// Copyright (C) 2001 Frank Langbein <frank@langbein.org>
// All rights reserved.
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: pair.hxx,v 1.2 2001/04/19 15:23:44 scmfcl Exp $
//

#ifndef PAIR_HXX
#define PAIR_HXX 1

template<class T>
class Pair {
public:
  Pair () {
  }
  Pair (T a, T b) {
    e1 = a;
    e2 = b;
  }
  T &first () {
    return e1;
  }
  T first () const {
    return e1;
  }
  T &second () {
    return e2;
  }
  T second () const {
    return e2;
  }
private:
  T e1, e2;
};

#endif // PAIR_HXX

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
