// xstring.cc: string extensions.
// 
// Copyright (C) 2001 Frank Langbein <frank@langbein.org>
// All rights reserved.
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
// 
// $Id: xstring.cc 1 2005-08-10 23:35:07Z frank $
//

#include "config.h"

RCSID (xstring, "$Id: xstring.cc 1 2005-08-10 23:35:07Z frank $");

char xstring_str[21];

string const as_string (double t)
{
  snprintf (xstring_str, 20, "%.4g", t);
  return string (xstring_str);
}

string const as_string (long i)
{
  snprintf (xstring_str, 20, "%ld", i);
  return string (xstring_str);
}

string const as_string (int i)
{
  snprintf (xstring_str, 20, "%d", i);
  return string (xstring_str);
}

string const as_string (unsigned long i)
{
  snprintf (xstring_str, 20, "%lu", i);
  return string (xstring_str);
}

string const as_string (unsigned int i)
{
  snprintf (xstring_str, 20, "%u", i);
  return string (xstring_str);
}

/// Local Variables:
/// exe-comm: "./sil"
/// compile-command: "make"
/// End:
