// decl_sil.hxx: Declare sil in ACIS.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: decl_sil.hxx,v 1.5 2001/04/19 15:23:41 scmfcl Exp $

#ifndef DECL_SIL_HXX
#define DECL_SIL_HXX 1

#ifdef ACIS_DLL
#ifdef EXPORT_SIL
#define DECL_SIL __declspec(dllexport)
#else // EXPORT_SIL
#define DECL_SIL __declspec(dllimport)
#endif // EXPORT_SIL
#else // ACIS_DLL
#define DECL_SIL
#endif // ACIS_DLL

#endif // !DECL_SIL_HXX

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
