// ent_sil.hxx:	SIL class.
//
// Copyright (C) 1999-2001 Frank C Langbein <frank@langbein.org>
//
// This program is free software; you can redistribute it and/or modify it 
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
// or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
// $Id: ent_sil.hxx,v 1.5 2001/04/19 15:23:41 scmfcl Exp $
//

#ifndef ENT_SIL_HXX
#define ENT_SIL_HXX

// Identifier used to find out (via identity() defined below) to 
// what an entity pointer refers. 

extern int ENTITY_SIL_TYPE; 

// Identifier that gives number of levels of derivation of this 
// class from ENTITY. 

#define ENTITY_SIL_LEVEL (ENTITY_LEVEL + 1) 

// The SIL master data structure entity, of which all its private 
// specific types are subclasses. 

MASTER_ENTITY_DECL (ENTITY_SIL, NONE) 
  
#endif // !ENT_SIL_HXX

/// Local Variables:
/// exe-comm: "../sil"
/// compile-command: "cd .. && make"
/// End:
